apiVersion: v1
kind: Service
metadata:
  name: rigelui
  namespace: rigel
spec:
  selector:
    app: rigelui
  ports:
    - protocol: TCP
      port: 8080
      targetPort: 80
      nodePort: 31017
  type: NodePort 
